%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name simple-swizzle

Name: %{?scl_prefix}nodejs-simple-swizzle
Version: 0.2.2
Release: 1%{?dist}
Summary: Simply swizzle your arguments
License: MIT
Group: Development/Libraries
URL: https://github.com/qix-/node-simple-swizzle#readme
Source0: https://registry.npmjs.org/simple-swizzle/-/simple-swizzle-%{version}.tgz
%if 0%{?!scl:1}
BuildRequires: nodejs-packaging
%endif
Requires: npm(is-arrayish) >= 0.3.1
Requires: npm(is-arrayish) < 0.4.0
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}

%description
%{summary}

%prep
%setup -q -n package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

%changelog
